port: 7890
allow-lan: true
mode: rule
log-level: info
unified-delay: true
global-client-fingerprint: chrome
ipv6: true
dns:
  enable: true
  listen: :53
  ipv6: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  default-nameserver: 
    - 223.5.5.5
    - 8.8.8.8
  nameserver:
    - https://dns.alidns.com/dns-query
    - https://doh.pub/dns-query
  fallback:
    - https://1.0.0.1/dns-query
    - tls://dns.google
  fallback-filter:
    geoip: true
    geoip-code: CN
    ipcidr:
      - 240.0.0.0/4

proxies:        
  - name: Reality
    type: vless
    server: "43.153.222.240"
    port: 16709
    uuid: 3c81494e-7168-4583-84e0-02310212102e
    network: tcp
    udp: true
    tls: true
    flow: xtls-rprx-vision
    servername: itunes.apple.com
    client-fingerprint: chrome
    reality-opts:
      public-key: 680Dfvs1S9eB2k9LS_jUELdt4TKnaHXfYErBWMgOlCM
      short-id: 879a738590e3db33

  - name: Hysteria2
    type: hysteria2
    server: "43.153.222.240"
    port: 13856
    #  up和down均不写或为0则使用BBR流控
    # up: "30 Mbps" # 若不写单位，默认为 Mbps
    # down: "200 Mbps" # 若不写单位，默认为 Mbps
    password: 659a9020ebc5e31d
    sni: bing.com
    skip-cert-verify: true
    alpn:
      - h3

proxy-groups:
  - name: 节点选择
    type: select
    proxies:
      - 自动选择
      - Reality
      - Hysteria2
      - DIRECT

  - name: 自动选择
    type: url-test #选出延迟最低的机场节点
    proxies:
      - Reality
      - Hysteria2
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    tolerance: 50


# rules:
#     - GEOIP,LAN,DIRECT
#     - GEOIP,CN,DIRECT
#     - MATCH,Reality

rules:
    - 'DOMAIN,x2.344211.cc,DIRECT'
    - 'DOMAIN-SUFFIX,services.googleapis.cn,Reality'
    - 'DOMAIN-SUFFIX,xn--ngstr-lra8j.com,Reality'
    - 'DOMAIN,safebrowsing.urlsec.qq.com,DIRECT'
    - 'DOMAIN,safebrowsing.googleapis.com,DIRECT'
    - 'DOMAIN,developer.apple.com,Reality'
    - 'DOMAIN-SUFFIX,digicert.com,Reality'
    - 'DOMAIN,ocsp.apple.com,Reality'
    - 'DOMAIN,ocsp.comodoca.com,Reality'
    - 'DOMAIN,ocsp.usertrust.com,Reality'
    - 'DOMAIN,ocsp.sectigo.com,Reality'
    - 'DOMAIN,ocsp.verisign.net,Reality'
    - 'DOMAIN-SUFFIX,apple-dns.net,Reality'
    - 'DOMAIN,testflight.apple.com,Reality'
    - 'DOMAIN,sandbox.itunes.apple.com,Reality'
    - 'DOMAIN,itunes.apple.com,Reality'
    - 'DOMAIN-SUFFIX,apps.apple.com,Reality'
    - 'DOMAIN-SUFFIX,blobstore.apple.com,Reality'
    - 'DOMAIN,cvws.icloud-content.com,Reality'
    - 'DOMAIN-SUFFIX,mzstatic.com,DIRECT'
    - 'DOMAIN-SUFFIX,itunes.apple.com,DIRECT'
    - 'DOMAIN-SUFFIX,icloud.com,DIRECT'
    - 'DOMAIN-SUFFIX,icloud-content.com,DIRECT'
    - 'DOMAIN-SUFFIX,me.com,DIRECT'
    - 'DOMAIN-SUFFIX,aaplimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,cdn20.com,DIRECT'
    - 'DOMAIN-SUFFIX,cdn-apple.com,DIRECT'
    - 'DOMAIN-SUFFIX,akadns.net,DIRECT'
    - 'DOMAIN-SUFFIX,akamaiedge.net,DIRECT'
    - 'DOMAIN-SUFFIX,edgekey.net,DIRECT'
    - 'DOMAIN-SUFFIX,mwcloudcdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,mwcname.com,DIRECT'
    - 'DOMAIN-SUFFIX,apple.com,DIRECT'
    - 'DOMAIN-SUFFIX,apple-cloudkit.com,DIRECT'
    - 'DOMAIN-SUFFIX,apple-mapkit.com,DIRECT'
    - 'DOMAIN-SUFFIX,126.com,DIRECT'
    - 'DOMAIN-SUFFIX,126.net,DIRECT'
    - 'DOMAIN-SUFFIX,127.net,DIRECT'
    - 'DOMAIN-SUFFIX,163.com,DIRECT'
    - 'DOMAIN-SUFFIX,wechat.com,DIRECT'
    - 'DOMAIN-SUFFIX,douyin.com,DIRECT'
    - 'DOMAIN-SUFFIX,kimi.moonshot.cn,DIRECT'
    - 'DOMAIN-SUFFIX,doubao.com,DIRECT'
    - 'DOMAIN-SUFFIX,cnblogs.com,DIRECT'
    - 'DOMAIN-SUFFIX,apple-relay.apple.com,DIRECT'
    - 'DOMAIN-SUFFIX,360buyimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,36kr.com,DIRECT'
    - 'DOMAIN-SUFFIX,acfun.tv,DIRECT'
    - 'DOMAIN-SUFFIX,air-matters.com,DIRECT'
    - 'DOMAIN-SUFFIX,aixifan.com,DIRECT'
    - 'DOMAIN-KEYWORD,alicdn,DIRECT'
    - 'DOMAIN-KEYWORD,alipay,DIRECT'
    - 'DOMAIN-KEYWORD,taobao,DIRECT'
    - 'DOMAIN-SUFFIX,amap.com,DIRECT'
    - 'DOMAIN-SUFFIX,autonavi.com,DIRECT'
    - 'DOMAIN-KEYWORD,baidu,DIRECT'
    - 'DOMAIN-SUFFIX,bdimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,bdstatic.com,DIRECT'
    - 'DOMAIN-SUFFIX,bilibili.com,DIRECT'
    - 'DOMAIN-SUFFIX,bilivideo.com,DIRECT'
    - 'DOMAIN-SUFFIX,caiyunapp.com,DIRECT'
    - 'DOMAIN-SUFFIX,clouddn.com,DIRECT'
    - 'DOMAIN-SUFFIX,cnbeta.com,DIRECT'
    - 'DOMAIN-SUFFIX,cnbetacdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,cootekservice.com,DIRECT'
    - 'DOMAIN-SUFFIX,csdn.net,DIRECT'
    - 'DOMAIN-SUFFIX,ctrip.com,DIRECT'
    - 'DOMAIN-SUFFIX,dgtle.com,DIRECT'
    - 'DOMAIN-SUFFIX,dianping.com,DIRECT'
    - 'DOMAIN-SUFFIX,douban.com,DIRECT'
    - 'DOMAIN-SUFFIX,doubanio.com,DIRECT'
    - 'DOMAIN-SUFFIX,duokan.com,DIRECT'
    - 'DOMAIN-SUFFIX,easou.com,DIRECT'
    - 'DOMAIN-SUFFIX,ele.me,DIRECT'
    - 'DOMAIN-SUFFIX,feng.com,DIRECT'
    - 'DOMAIN-SUFFIX,fir.im,DIRECT'
    - 'DOMAIN-SUFFIX,frdic.com,DIRECT'
    - 'DOMAIN-SUFFIX,g-cores.com,DIRECT'
    - 'DOMAIN-SUFFIX,godic.net,DIRECT'
    - 'DOMAIN-SUFFIX,gtimg.com,DIRECT'
    - 'DOMAIN,cdn.hockeyapp.net,DIRECT'
    - 'DOMAIN-SUFFIX,hongxiu.com,DIRECT'
    - 'DOMAIN-SUFFIX,hxcdn.net,DIRECT'
    - 'DOMAIN-SUFFIX,iciba.com,DIRECT'
    - 'DOMAIN-SUFFIX,ifeng.com,DIRECT'
    - 'DOMAIN-SUFFIX,ifengimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,ipip.net,DIRECT'
    - 'DOMAIN-SUFFIX,iqiyi.com,DIRECT'
    - 'DOMAIN-SUFFIX,jd.com,DIRECT'
    - 'DOMAIN-SUFFIX,jianshu.com,DIRECT'
    - 'DOMAIN-SUFFIX,knewone.com,DIRECT'
    - 'DOMAIN-SUFFIX,le.com,DIRECT'
    - 'DOMAIN-SUFFIX,lecloud.com,DIRECT'
    - 'DOMAIN-SUFFIX,lemicp.com,DIRECT'
    - 'DOMAIN-SUFFIX,licdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,luoo.net,DIRECT'
    - 'DOMAIN-SUFFIX,meituan.com,DIRECT'
    - 'DOMAIN-SUFFIX,meituan.net,DIRECT'
    - 'DOMAIN-SUFFIX,mi.com,DIRECT'
    - 'DOMAIN-SUFFIX,miaopai.com,DIRECT'
    - 'DOMAIN-SUFFIX,microsoft.com,DIRECT'
    - 'DOMAIN-SUFFIX,microsoftonline.com,DIRECT'
    - 'DOMAIN-SUFFIX,miui.com,DIRECT'
    - 'DOMAIN-SUFFIX,miwifi.com,DIRECT'
    - 'DOMAIN-SUFFIX,mob.com,DIRECT'
    - 'DOMAIN-SUFFIX,netease.com,DIRECT'
    - 'DOMAIN-SUFFIX,office.com,DIRECT'
    - 'DOMAIN-SUFFIX,office365.com,DIRECT'
    - 'DOMAIN-KEYWORD,officecdn,DIRECT'
    - 'DOMAIN-SUFFIX,oschina.net,DIRECT'
    - 'DOMAIN-SUFFIX,ppsimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,pstatp.com,DIRECT'
    - 'DOMAIN-SUFFIX,qcloud.com,DIRECT'
    - 'DOMAIN-SUFFIX,qdaily.com,DIRECT'
    - 'DOMAIN-SUFFIX,qdmm.com,DIRECT'
    - 'DOMAIN-SUFFIX,qhimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,qhres.com,DIRECT'
    - 'DOMAIN-SUFFIX,qidian.com,DIRECT'
    - 'DOMAIN-SUFFIX,qihucdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,qiniu.com,DIRECT'
    - 'DOMAIN-SUFFIX,qiniucdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,qiyipic.com,DIRECT'
    - 'DOMAIN-SUFFIX,qq.com,DIRECT'
    - 'DOMAIN-SUFFIX,qqurl.com,DIRECT'
    - 'DOMAIN-SUFFIX,rarbg.to,DIRECT'
    - 'DOMAIN-SUFFIX,ruguoapp.com,DIRECT'
    - 'DOMAIN-SUFFIX,segmentfault.com,DIRECT'
    - 'DOMAIN-SUFFIX,sinaapp.com,DIRECT'
    - 'DOMAIN-SUFFIX,smzdm.com,DIRECT'
    - 'DOMAIN-SUFFIX,snapdrop.net,DIRECT'
    - 'DOMAIN-SUFFIX,sogou.com,DIRECT'
    - 'DOMAIN-SUFFIX,sogoucdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,sohu.com,DIRECT'
    - 'DOMAIN-SUFFIX,soku.com,DIRECT'
    - 'DOMAIN-SUFFIX,speedtest.net,DIRECT'
    - 'DOMAIN-SUFFIX,sspai.com,DIRECT'
    - 'DOMAIN-SUFFIX,suning.com,DIRECT'
    - 'DOMAIN-SUFFIX,taobao.com,DIRECT'
    - 'DOMAIN-SUFFIX,tencent.com,DIRECT'
    - 'DOMAIN-SUFFIX,tenpay.com,DIRECT'
    - 'DOMAIN-SUFFIX,tianyancha.com,DIRECT'
    - 'DOMAIN-SUFFIX,tmall.com,DIRECT'
    - 'DOMAIN-SUFFIX,tudou.com,DIRECT'
    - 'DOMAIN-SUFFIX,umetrip.com,DIRECT'
    - 'DOMAIN-SUFFIX,upaiyun.com,DIRECT'
    - 'DOMAIN-SUFFIX,upyun.com,DIRECT'
    - 'DOMAIN-SUFFIX,veryzhun.com,DIRECT'
    - 'DOMAIN-SUFFIX,weather.com,DIRECT'
    - 'DOMAIN-SUFFIX,weibo.com,DIRECT'
    - 'DOMAIN-SUFFIX,xiami.com,DIRECT'
    - 'DOMAIN-SUFFIX,xiami.net,DIRECT'
    - 'DOMAIN-SUFFIX,xiaomicp.com,DIRECT'
    - 'DOMAIN-SUFFIX,ximalaya.com,DIRECT'
    - 'DOMAIN-SUFFIX,xmcdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,xunlei.com,DIRECT'
    - 'DOMAIN-SUFFIX,yhd.com,DIRECT'
    - 'DOMAIN-SUFFIX,yihaodianimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,yinxiang.com,DIRECT'
    - 'DOMAIN-SUFFIX,ykimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,youdao.com,DIRECT'
    - 'DOMAIN-SUFFIX,youku.com,DIRECT'
    - 'DOMAIN-SUFFIX,zealer.com,DIRECT'
    - 'DOMAIN-SUFFIX,zhihu.com,DIRECT'
    - 'DOMAIN-SUFFIX,zhimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,zimuzu.tv,DIRECT'
    - 'DOMAIN-SUFFIX,zoho.com,DIRECT'
    - 'DOMAIN-KEYWORD,amazon,Reality'
    - 'DOMAIN-KEYWORD,google,Reality'
    - 'DOMAIN-KEYWORD,gmail,Reality'
    - 'DOMAIN-KEYWORD,youtube,Reality'
    - 'DOMAIN-KEYWORD,facebook,Reality'
    - 'DOMAIN-SUFFIX,fb.me,Reality'
    - 'DOMAIN-SUFFIX,fbcdn.net,Reality'
    - 'DOMAIN-KEYWORD,twitter,Reality'
    - 'DOMAIN-KEYWORD,instagram,Reality'
    - 'DOMAIN-KEYWORD,dropbox,Reality'
    - 'DOMAIN-SUFFIX,twimg.com,Reality'
    - 'DOMAIN-KEYWORD,blogspot,Reality'
    - 'DOMAIN-SUFFIX,youtu.be,Reality'
    - 'DOMAIN-KEYWORD,whatsapp,Reality'
    - 'DOMAIN-KEYWORD,admarvel,REJECT'
    - 'DOMAIN-KEYWORD,admaster,REJECT'
    - 'DOMAIN-KEYWORD,adsage,REJECT'
    - 'DOMAIN-KEYWORD,adsmogo,REJECT'
    - 'DOMAIN-KEYWORD,adsrvmedia,REJECT'
    - 'DOMAIN-KEYWORD,adwords,REJECT'
    - 'DOMAIN-KEYWORD,adservice,REJECT'
    - 'DOMAIN-SUFFIX,appsflyer.com,REJECT'
    - 'DOMAIN-KEYWORD,domob,REJECT'
    - 'DOMAIN-SUFFIX,doubleclick.net,REJECT'
    - 'DOMAIN-KEYWORD,duomeng,REJECT'
    - 'DOMAIN-KEYWORD,dwtrack,REJECT'
    - 'DOMAIN-KEYWORD,guanggao,REJECT'
    - 'DOMAIN-KEYWORD,lianmeng,REJECT'
    - 'DOMAIN-SUFFIX,mmstat.com,REJECT'
    - 'DOMAIN-KEYWORD,mopub,REJECT'
    - 'DOMAIN-KEYWORD,omgmta,REJECT'
    - 'DOMAIN-KEYWORD,openx,REJECT'
    - 'DOMAIN-KEYWORD,partnerad,REJECT'
    - 'DOMAIN-KEYWORD,pingfore,REJECT'
    - 'DOMAIN-KEYWORD,supersonicads,REJECT'
    - 'DOMAIN-KEYWORD,uedas,REJECT'
    - 'DOMAIN-KEYWORD,umeng,REJECT'
    - 'DOMAIN-KEYWORD,usage,REJECT'
    - 'DOMAIN-SUFFIX,vungle.com,REJECT'
    - 'DOMAIN-KEYWORD,wlmonitor,REJECT'
    - 'DOMAIN-KEYWORD,zjtoolbar,REJECT'
    - 'DOMAIN-SUFFIX,9to5mac.com,Reality'
    - 'DOMAIN-SUFFIX,abpchina.org,Reality'
    - 'DOMAIN-SUFFIX,adblockplus.org,Reality'
    - 'DOMAIN-SUFFIX,adobe.com,Reality'
    - 'DOMAIN-SUFFIX,akamaized.net,Reality'
    - 'DOMAIN-SUFFIX,alfredapp.com,Reality'
    - 'DOMAIN-SUFFIX,amplitude.com,Reality'
    - 'DOMAIN-SUFFIX,ampproject.org,Reality'
    - 'DOMAIN-SUFFIX,android.com,Reality'
    - 'DOMAIN-SUFFIX,angularjs.org,Reality'
    - 'DOMAIN-SUFFIX,aolcdn.com,Reality'
    - 'DOMAIN-SUFFIX,apkpure.com,Reality'
    - 'DOMAIN-SUFFIX,appledaily.com,Reality'
    - 'DOMAIN-SUFFIX,appshopper.com,Reality'
    - 'DOMAIN-SUFFIX,appspot.com,Reality'
    - 'DOMAIN-SUFFIX,arcgis.com,Reality'
    - 'DOMAIN-SUFFIX,archive.org,Reality'
    - 'DOMAIN-SUFFIX,armorgames.com,Reality'
    - 'DOMAIN-SUFFIX,aspnetcdn.com,Reality'
    - 'DOMAIN-SUFFIX,att.com,Reality'
    - 'DOMAIN-SUFFIX,awsstatic.com,Reality'
    - 'DOMAIN-SUFFIX,azureedge.net,Reality'
    - 'DOMAIN-SUFFIX,azurewebsites.net,Reality'
    - 'DOMAIN-SUFFIX,bing.com,Reality'
    - 'DOMAIN-SUFFIX,bintray.com,Reality'
    - 'DOMAIN-SUFFIX,bit.com,Reality'
    - 'DOMAIN-SUFFIX,bit.ly,Reality'
    - 'DOMAIN-SUFFIX,bitbucket.org,Reality'
    - 'DOMAIN-SUFFIX,bjango.com,Reality'
    - 'DOMAIN-SUFFIX,bkrtx.com,Reality'
    - 'DOMAIN-SUFFIX,blog.com,Reality'
    - 'DOMAIN-SUFFIX,blogcdn.com,Reality'
    - 'DOMAIN-SUFFIX,blogger.com,Reality'
    - 'DOMAIN-SUFFIX,blogsmithmedia.com,Reality'
    - 'DOMAIN-SUFFIX,blogspot.com,Reality'
    - 'DOMAIN-SUFFIX,blogspot.hk,Reality'
    - 'DOMAIN-SUFFIX,bloomberg.com,Reality'
    - 'DOMAIN-SUFFIX,box.com,Reality'
    - 'DOMAIN-SUFFIX,box.net,Reality'
    - 'DOMAIN-SUFFIX,cachefly.net,Reality'
    - 'DOMAIN-SUFFIX,chromium.org,Reality'
    - 'DOMAIN-SUFFIX,cl.ly,Reality'
    - 'DOMAIN-SUFFIX,cloudflare.com,Reality'
    - 'DOMAIN-SUFFIX,cloudfront.net,Reality'
    - 'DOMAIN-SUFFIX,cloudmagic.com,Reality'
    - 'DOMAIN-SUFFIX,cmail19.com,Reality'
    - 'DOMAIN-SUFFIX,cnet.com,Reality'
    - 'DOMAIN-SUFFIX,cocoapods.org,Reality'
    - 'DOMAIN-SUFFIX,comodoca.com,Reality'
    - 'DOMAIN-SUFFIX,crashlytics.com,Reality'
    - 'DOMAIN-SUFFIX,culturedcode.com,Reality'
    - 'DOMAIN-SUFFIX,d.pr,Reality'
    - 'DOMAIN-SUFFIX,danilo.to,Reality'
    - 'DOMAIN-SUFFIX,dayone.me,Reality'
    - 'DOMAIN-SUFFIX,db.tt,Reality'
    - 'DOMAIN-SUFFIX,deskconnect.com,Reality'
    - 'DOMAIN-SUFFIX,disq.us,Reality'
    - 'DOMAIN-SUFFIX,disqus.com,Reality'
    - 'DOMAIN-SUFFIX,disquscdn.com,Reality'
    - 'DOMAIN-SUFFIX,dnsimple.com,Reality'
    - 'DOMAIN-SUFFIX,docker.com,Reality'
    - 'DOMAIN-SUFFIX,dribbble.com,Reality'
    - 'DOMAIN-SUFFIX,droplr.com,Reality'
    - 'DOMAIN-SUFFIX,duckduckgo.com,Reality'
    - 'DOMAIN-SUFFIX,dueapp.com,Reality'
    - 'DOMAIN-SUFFIX,dytt8.net,Reality'
    - 'DOMAIN-SUFFIX,edgecastcdn.net,Reality'
    - 'DOMAIN-SUFFIX,edgekey.net,Reality'
    - 'DOMAIN-SUFFIX,edgesuite.net,Reality'
    - 'DOMAIN-SUFFIX,engadget.com,Reality'
    - 'DOMAIN-SUFFIX,entrust.net,Reality'
    - 'DOMAIN-SUFFIX,eurekavpt.com,Reality'
    - 'DOMAIN-SUFFIX,evernote.com,Reality'
    - 'DOMAIN-SUFFIX,fabric.io,Reality'
    - 'DOMAIN-SUFFIX,fast.com,Reality'
    - 'DOMAIN-SUFFIX,fastly.net,Reality'
    - 'DOMAIN-SUFFIX,fc2.com,Reality'
    - 'DOMAIN-SUFFIX,feedburner.com,Reality'
    - 'DOMAIN-SUFFIX,feedly.com,Reality'
    - 'DOMAIN-SUFFIX,feedsportal.com,Reality'
    - 'DOMAIN-SUFFIX,fiftythree.com,Reality'
    - 'DOMAIN-SUFFIX,firebaseio.com,Reality'
    - 'DOMAIN-SUFFIX,flexibits.com,Reality'
    - 'DOMAIN-SUFFIX,flickr.com,Reality'
    - 'DOMAIN-SUFFIX,flipboard.com,Reality'
    - 'DOMAIN-SUFFIX,g.co,Reality'
    - 'DOMAIN-SUFFIX,gabia.net,Reality'
    - 'DOMAIN-SUFFIX,geni.us,Reality'
    - 'DOMAIN-SUFFIX,gfx.ms,Reality'
    - 'DOMAIN-SUFFIX,ggpht.com,Reality'
    - 'DOMAIN-SUFFIX,ghostnoteapp.com,Reality'
    - 'DOMAIN-SUFFIX,git.io,Reality'
    - 'DOMAIN-KEYWORD,github,Reality'
    - 'DOMAIN-SUFFIX,globalsign.com,Reality'
    - 'DOMAIN-SUFFIX,gmodules.com,Reality'
    - 'DOMAIN-SUFFIX,godaddy.com,Reality'
    - 'DOMAIN-SUFFIX,golang.org,Reality'
    - 'DOMAIN-SUFFIX,gongm.in,Reality'
    - 'DOMAIN-SUFFIX,goo.gl,Reality'
    - 'DOMAIN-SUFFIX,goodreaders.com,Reality'
    - 'DOMAIN-SUFFIX,goodreads.com,Reality'
    - 'DOMAIN-SUFFIX,gravatar.com,Reality'
    - 'DOMAIN-SUFFIX,gstatic.com,Reality'
    - 'DOMAIN-SUFFIX,gvt0.com,Reality'
    - 'DOMAIN-SUFFIX,hockeyapp.net,Reality'
    - 'DOMAIN-SUFFIX,hotmail.com,Reality'
    - 'DOMAIN-SUFFIX,icons8.com,Reality'
    - 'DOMAIN-SUFFIX,ifixit.com,Reality'
    - 'DOMAIN-SUFFIX,ift.tt,Reality'
    - 'DOMAIN-SUFFIX,ifttt.com,Reality'
    - 'DOMAIN-SUFFIX,iherb.com,Reality'
    - 'DOMAIN-SUFFIX,imageshack.us,Reality'
    - 'DOMAIN-SUFFIX,img.ly,Reality'
    - 'DOMAIN-SUFFIX,imgur.com,Reality'
    - 'DOMAIN-SUFFIX,imore.com,Reality'
    - 'DOMAIN-SUFFIX,instapaper.com,Reality'
    - 'DOMAIN-SUFFIX,ipn.li,Reality'
    - 'DOMAIN-SUFFIX,is.gd,Reality'
    - 'DOMAIN-SUFFIX,issuu.com,Reality'
    - 'DOMAIN-SUFFIX,itgonglun.com,Reality'
    - 'DOMAIN-SUFFIX,itun.es,Reality'
    - 'DOMAIN-SUFFIX,ixquick.com,Reality'
    - 'DOMAIN-SUFFIX,j.mp,Reality'
    - 'DOMAIN-SUFFIX,js.revsci.net,Reality'
    - 'DOMAIN-SUFFIX,jshint.com,Reality'
    - 'DOMAIN-SUFFIX,jtvnw.net,Reality'
    - 'DOMAIN-SUFFIX,justgetflux.com,Reality'
    - 'DOMAIN-SUFFIX,kat.cr,Reality'
    - 'DOMAIN-SUFFIX,klip.me,Reality'
    - 'DOMAIN-SUFFIX,libsyn.com,Reality'
    - 'DOMAIN-SUFFIX,linkedin.com,Reality'
    - 'DOMAIN-SUFFIX,line-apps.com,Reality'
    - 'DOMAIN-SUFFIX,linode.com,Reality'
    - 'DOMAIN-SUFFIX,lithium.com,Reality'
    - 'DOMAIN-SUFFIX,littlehj.com,Reality'
    - 'DOMAIN-SUFFIX,live.com,Reality'
    - 'DOMAIN-SUFFIX,live.net,Reality'
    - 'DOMAIN-SUFFIX,livefilestore.com,Reality'
    - 'DOMAIN-SUFFIX,llnwd.net,Reality'
    - 'DOMAIN-SUFFIX,macid.co,Reality'
    - 'DOMAIN-SUFFIX,macromedia.com,Reality'
    - 'DOMAIN-SUFFIX,macrumors.com,Reality'
    - 'DOMAIN-SUFFIX,mashable.com,Reality'
    - 'DOMAIN-SUFFIX,mathjax.org,Reality'
    - 'DOMAIN-SUFFIX,medium.com,Reality'
    - 'DOMAIN-SUFFIX,mega.co.nz,Reality'
    - 'DOMAIN-SUFFIX,mega.nz,Reality'
    - 'DOMAIN-SUFFIX,megaupload.com,Reality'
    - 'DOMAIN-SUFFIX,microsofttranslator.com,Reality'
    - 'DOMAIN-SUFFIX,mindnode.com,Reality'
    - 'DOMAIN-SUFFIX,mobile01.com,Reality'
    - 'DOMAIN-SUFFIX,modmyi.com,Reality'
    - 'DOMAIN-SUFFIX,msedge.net,Reality'
    - 'DOMAIN-SUFFIX,myfontastic.com,Reality'
    - 'DOMAIN-SUFFIX,name.com,Reality'
    - 'DOMAIN-SUFFIX,nextmedia.com,Reality'
    - 'DOMAIN-SUFFIX,nsstatic.net,Reality'
    - 'DOMAIN-SUFFIX,nssurge.com,Reality'
    - 'DOMAIN-SUFFIX,nyt.com,Reality'
    - 'DOMAIN-SUFFIX,nytimes.com,Reality'
    - 'DOMAIN-SUFFIX,omnigroup.com,Reality'
    - 'DOMAIN-SUFFIX,onedrive.com,Reality'
    - 'DOMAIN-SUFFIX,onenote.com,Reality'
    - 'DOMAIN-SUFFIX,ooyala.com,Reality'
    - 'DOMAIN-SUFFIX,openvpn.net,Reality'
    - 'DOMAIN-SUFFIX,openwrt.org,Reality'
    - 'DOMAIN-SUFFIX,orkut.com,Reality'
    - 'DOMAIN-SUFFIX,osxdaily.com,Reality'
    - 'DOMAIN-SUFFIX,outlook.com,Reality'
    - 'DOMAIN-SUFFIX,ow.ly,Reality'
    - 'DOMAIN-SUFFIX,paddleapi.com,Reality'
    - 'DOMAIN-SUFFIX,parallels.com,Reality'
    - 'DOMAIN-SUFFIX,parse.com,Reality'
    - 'DOMAIN-SUFFIX,pdfexpert.com,Reality'
    - 'DOMAIN-SUFFIX,periscope.tv,Reality'
    - 'DOMAIN-SUFFIX,pinboard.in,Reality'
    - 'DOMAIN-SUFFIX,pinterest.com,Reality'
    - 'DOMAIN-SUFFIX,pixelmator.com,Reality'
    - 'DOMAIN-SUFFIX,pixiv.net,Reality'
    - 'DOMAIN-SUFFIX,playpcesor.com,Reality'
    - 'DOMAIN-SUFFIX,playstation.com,Reality'
    - 'DOMAIN-SUFFIX,playstation.com.hk,Reality'
    - 'DOMAIN-SUFFIX,playstation.net,Reality'
    - 'DOMAIN-SUFFIX,playstationnetwork.com,Reality'
    - 'DOMAIN-SUFFIX,pushwoosh.com,Reality'
    - 'DOMAIN-SUFFIX,rime.im,Reality'
    - 'DOMAIN-SUFFIX,servebom.com,Reality'
    - 'DOMAIN-SUFFIX,sfx.ms,Reality'
    - 'DOMAIN-SUFFIX,shadowsocks.org,Reality'
    - 'DOMAIN-SUFFIX,sharethis.com,Reality'
    - 'DOMAIN-SUFFIX,shazam.com,Reality'
    - 'DOMAIN-SUFFIX,skype.com,Reality'
    - 'DOMAIN-SUFFIX,smartdnsReality.com,Reality'
    - 'DOMAIN-SUFFIX,smartmailcloud.com,Reality'
    - 'DOMAIN-SUFFIX,sndcdn.com,Reality'
    - 'DOMAIN-SUFFIX,sony.com,Reality'
    - 'DOMAIN-SUFFIX,soundcloud.com,Reality'
    - 'DOMAIN-SUFFIX,sourceforge.net,Reality'
    - 'DOMAIN-SUFFIX,spotify.com,Reality'
    - 'DOMAIN-SUFFIX,squarespace.com,Reality'
    - 'DOMAIN-SUFFIX,sstatic.net,Reality'
    - 'DOMAIN-SUFFIX,st.luluku.pw,Reality'
    - 'DOMAIN-SUFFIX,stackoverflow.com,Reality'
    - 'DOMAIN-SUFFIX,startpage.com,Reality'
    - 'DOMAIN-SUFFIX,staticflickr.com,Reality'
    - 'DOMAIN-SUFFIX,steamcommunity.com,Reality'
    - 'DOMAIN-SUFFIX,symauth.com,Reality'
    - 'DOMAIN-SUFFIX,symcb.com,Reality'
    - 'DOMAIN-SUFFIX,symcd.com,Reality'
    - 'DOMAIN-SUFFIX,tapbots.com,Reality'
    - 'DOMAIN-SUFFIX,tapbots.net,Reality'
    - 'DOMAIN-SUFFIX,tdesktop.com,Reality'
    - 'DOMAIN-SUFFIX,techcrunch.com,Reality'
    - 'DOMAIN-SUFFIX,techsmith.com,Reality'
    - 'DOMAIN-SUFFIX,thepiratebay.org,Reality'
    - 'DOMAIN-SUFFIX,theverge.com,Reality'
    - 'DOMAIN-SUFFIX,time.com,Reality'
    - 'DOMAIN-SUFFIX,timeinc.net,Reality'
    - 'DOMAIN-SUFFIX,tiny.cc,Reality'
    - 'DOMAIN-SUFFIX,tinypic.com,Reality'
    - 'DOMAIN-SUFFIX,tmblr.co,Reality'
    - 'DOMAIN-SUFFIX,todoist.com,Reality'
    - 'DOMAIN-SUFFIX,trello.com,Reality'
    - 'DOMAIN-SUFFIX,trustasiassl.com,Reality'
    - 'DOMAIN-SUFFIX,tumblr.co,Reality'
    - 'DOMAIN-SUFFIX,tumblr.com,Reality'
    - 'DOMAIN-SUFFIX,tweetdeck.com,Reality'
    - 'DOMAIN-SUFFIX,tweetmarker.net,Reality'
    - 'DOMAIN-SUFFIX,twitch.tv,Reality'
    - 'DOMAIN-SUFFIX,txmblr.com,Reality'
    - 'DOMAIN-SUFFIX,typekit.net,Reality'
    - 'DOMAIN-SUFFIX,ubertags.com,Reality'
    - 'DOMAIN-SUFFIX,ublock.org,Reality'
    - 'DOMAIN-SUFFIX,ubnt.com,Reality'
    - 'DOMAIN-SUFFIX,ulyssesapp.com,Reality'
    - 'DOMAIN-SUFFIX,urchin.com,Reality'
    - 'DOMAIN-SUFFIX,usertrust.com,Reality'
    - 'DOMAIN-SUFFIX,v.gd,Reality'
    - 'DOMAIN-SUFFIX,v2ex.com,Reality'
    - 'DOMAIN-SUFFIX,vimeo.com,Reality'
    - 'DOMAIN-SUFFIX,vimeocdn.com,Reality'
    - 'DOMAIN-SUFFIX,vine.co,Reality'
    - 'DOMAIN-SUFFIX,vivaldi.com,Reality'
    - 'DOMAIN-SUFFIX,vox-cdn.com,Reality'
    - 'DOMAIN-SUFFIX,vsco.co,Reality'
    - 'DOMAIN-SUFFIX,vultr.com,Reality'
    - 'DOMAIN-SUFFIX,w.org,Reality'
    - 'DOMAIN-SUFFIX,w3schools.com,Reality'
    - 'DOMAIN-SUFFIX,webtype.com,Reality'
    - 'DOMAIN-SUFFIX,wikiwand.com,Reality'
    - 'DOMAIN-SUFFIX,wikileaks.org,Reality'
    - 'DOMAIN-SUFFIX,wikimedia.org,Reality'
    - 'DOMAIN-SUFFIX,wikipedia.com,Reality'
    - 'DOMAIN-SUFFIX,wikipedia.org,Reality'
    - 'DOMAIN-SUFFIX,windows.com,Reality'
    - 'DOMAIN-SUFFIX,windows.net,Reality'
    - 'DOMAIN-SUFFIX,wire.com,Reality'
    - 'DOMAIN-SUFFIX,wordpress.com,Reality'
    - 'DOMAIN-SUFFIX,workflowy.com,Reality'
    - 'DOMAIN-SUFFIX,wp.com,Reality'
    - 'DOMAIN-SUFFIX,wsj.com,Reality'
    - 'DOMAIN-SUFFIX,wsj.net,Reality'
    - 'DOMAIN-SUFFIX,xda-developers.com,Reality'
    - 'DOMAIN-SUFFIX,xeeno.com,Reality'
    - 'DOMAIN-SUFFIX,xiti.com,Reality'
    - 'DOMAIN-SUFFIX,yahoo.com,Reality'
    - 'DOMAIN-SUFFIX,yimg.com,Reality'
    - 'DOMAIN-SUFFIX,ying.com,Reality'
    - 'DOMAIN-SUFFIX,yoyo.org,Reality'
    - 'DOMAIN-SUFFIX,ytimg.com,Reality'
    - 'DOMAIN-SUFFIX,telegra.ph,Reality'
    - 'DOMAIN-SUFFIX,telegram.org,Reality'
    - 'IP-CIDR,91.108.4.0/22,Reality,no-resolve'
    - 'IP-CIDR,91.108.8.0/21,Reality,no-resolve'
    - 'IP-CIDR,91.108.16.0/22,Reality,no-resolve'
    - 'IP-CIDR,91.108.56.0/22,Reality,no-resolve'
    - 'IP-CIDR,149.154.160.0/20,Reality,no-resolve'
    - 'IP-CIDR6,2001:67c:4e8::/48,Reality,no-resolve'
    - 'IP-CIDR6,2001:b28:f23d::/48,Reality,no-resolve'
    - 'IP-CIDR6,2001:b28:f23f::/48,Reality,no-resolve'
    - 'IP-CIDR,120.232.181.162/32,Reality,no-resolve'
    - 'IP-CIDR,120.241.147.226/32,Reality,no-resolve'
    - 'IP-CIDR,120.253.253.226/32,Reality,no-resolve'
    - 'IP-CIDR,120.253.255.162/32,Reality,no-resolve'
    - 'IP-CIDR,120.253.255.34/32,Reality,no-resolve'
    - 'IP-CIDR,120.253.255.98/32,Reality,no-resolve'
    - 'IP-CIDR,180.163.150.162/32,Reality,no-resolve'
    - 'IP-CIDR,180.163.150.34/32,Reality,no-resolve'
    - 'IP-CIDR,180.163.151.162/32,Reality,no-resolve'
    - 'IP-CIDR,180.163.151.34/32,Reality,no-resolve'
    - 'IP-CIDR,203.208.39.0/24,Reality,no-resolve'
    - 'IP-CIDR,203.208.40.0/24,Reality,no-resolve'
    - 'IP-CIDR,203.208.41.0/24,Reality,no-resolve'
    - 'IP-CIDR,203.208.43.0/24,Reality,no-resolve'
    - 'IP-CIDR,203.208.50.0/24,Reality,no-resolve'
    - 'IP-CIDR,220.181.174.162/32,Reality,no-resolve'
    - 'IP-CIDR,220.181.174.226/32,Reality,no-resolve'
    - 'IP-CIDR,220.181.174.34/32,Reality,no-resolve'
    - 'DOMAIN,injections.adguard.org,DIRECT'
    - 'DOMAIN,local.adguard.org,DIRECT'
    - 'DOMAIN-SUFFIX,local,DIRECT'
    - 'IP-CIDR,127.0.0.0/8,DIRECT'
    - 'IP-CIDR,172.16.0.0/12,DIRECT'
    - 'IP-CIDR,192.168.0.0/16,DIRECT'
    - 'IP-CIDR,10.0.0.0/8,DIRECT'
    - 'IP-CIDR,17.0.0.0/8,DIRECT'
    - 'IP-CIDR,100.64.0.0/10,DIRECT'
    - 'IP-CIDR,224.0.0.0/4,DIRECT'
    - 'IP-CIDR6,fe80::/10,DIRECT'
    - 'DOMAIN-SUFFIX,cn,DIRECT'
    - 'DOMAIN-KEYWORD,-cn,DIRECT'
    - 'GEOIP,CN,DIRECT'
    - 'MATCH,Reality'
